<?php

	

	//move_uploaded_file($_FILES['firstcam'], "vphoto/test.png");

		$target_dir = "vphoto/";

		$uploadOk = 1;
		//$imageFileType = strtolower(pathinfo($target_file,PATHINFO_EXTENSION));

		$fname = time();

		$path_parts = pathinfo($_FILES["firstcam"]["name"]);
		$ext = $path_parts['extension'];
		//echo $ext;
		$target_file1 = $target_dir . basename($fname . "_face." . $ext);

		$target_file2 = $target_dir . basename($fname . "_nirc.". $ext);

		$target_file3 = $target_dir . basename($fname . "_form.". $ext);

		// Check if image file is a actual image or fake image
		if(isset($_POST["submit"])) {
		  $check = getimagesize($_FILES["firstcam"]["tmp_name"]);
		  if($check !== false) {
		    echo "File is an image - " . $check["mime"] . ".";
		    $uploadOk = 1;
		  } else {
		    echo "File is not an image.";
		    $uploadOk = 0;
		  }
		}

		// Check if file already exists
		// if (file_exists($target_file)) {
		//   echo "Sorry, file already exists.";
		//   $uploadOk = 0;
		// }

		// Check file size
		// if ($_FILES["firstcam"]["size"] > 500000) {
		//   echo "Sorry, your file is too large.";
		//   $uploadOk = 0;
		// }

		// // Allow certain file formats
		// if($imageFileType != "jpg" && $imageFileType != "png" && $imageFileType != "jpeg"
		// && $imageFileType != "gif" ) {
		//   echo "Sorry, only JPG, JPEG, PNG & GIF files are allowed.";
		//   $uploadOk = 0;
		// }

		// Check if $uploadOk is set to 0 by an error
		if ($uploadOk == 0) {
		  echo "Sorry, your file was not uploaded.";
		// if everything is ok, try to upload file
		} else {
		  if (move_uploaded_file($_FILES["firstcam"]["tmp_name"], $target_file1)) {
		    echo "The file ". htmlspecialchars( basename( $_FILES["firstcam"]["name"])). " has been uploaded.";
		  } else {
		    echo "Sorry, there was an error uploading your file.";
		  }

		  if (move_uploaded_file($_FILES["secondcam"]["tmp_name"], $target_file2)) {
		    echo "The file ". htmlspecialchars( basename( $_FILES["firstcam"]["name"])). " has been uploaded.";
		  } else {
		    echo "Sorry, there was an error uploading your file.";
		  }


		  if (move_uploaded_file($_FILES["thirdcam"]["tmp_name"], $target_file3)) {
		    echo "The file ". htmlspecialchars( basename( $_FILES["firstcam"]["name"])). " has been uploaded.";
		  } else {
		    echo "Sorry, there was an error uploading your file.";
		  }


		}



	


	include('dbconfig.php');
	include('dbconnect.php');

	addlog($mysqli, $_POST, $fname . "_face." . $ext, $fname . "_face." . $ext, $fname . "_form.". $ext);
	header("Location:main.php");
	exit;




?>